Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
hungpx2008

Lưu thông số giữa các lần dùng lệnh

Các bài được khuyến nghị

yeuban2012    0

các anh chỉ giúp em cách vẽ hình chiếu trục đo trên auto Cad 2007 với.Cho 3 hình chiếu....vẽ trên 2D rồi chiếu sang 3D...khó quá.Em sắp thi rồi mà không làm được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamngoctukts    708
Em không dành về lisp lắm lên ko hiểu và sửa được mong các bác sửa hộ em lisp sau với tỷ lệ nhập lưu lại từ lần nhập trước.

Của bạn đây

;; free lisp from cadviet.com
(defun c:maaa()
(setvar "cmdecho" 0)
(setq p1 nil p2 nil gmd nil)
(command "style" "Dientich" "Vntime.shx,vn1.shx" 0 "0.8" 0.0 "" "" "")
(command "layer" "make" "Text" "c" "3" "" "")
(setq p1 (getpoint"\Diem dau cua mai doc: "))
(setq p2 (getpoint"\Diem thu 2 cua mai doc: "))
(setvar "OSMODE" 0)
(setq gmd (angle p1 p2))
(setq sm (sin gmd))
(setq cm (cos gmd))
(setq hsm (abs (/ cm sm)))
(initget 1 "Yes No")
(if (= "Yes" (getkword "\nCo ghi mai doc khong? : "))
(progn
(setq tl (cond (tl) (1)))
(setq oldtl tl)
(setq tl (getreal (strcat "\nNhap ty le <"(rtos oldtl 2 1)">: ")))
(if (null tl) (setq tl oldtl))
(setq diem (list (- (car p1) (* 2 tl sm)) (+ (cadr p1) (* 2 tl cm))))
(setq ch (* 2 tl))
(setq nghieng (* gmd 57.29577951))
(cond 
((> hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 2) ""))
(command "text" "j" "MC" diem ch nghieng inm "") 
)
((< hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 2) ""))
(command "text" "j" "MC" diem ch nghieng inm "")
)
)
)
(progn
(cond 
((> hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 4) ""))
(princ "\nHe so mai doc la: ")(princ inm)
)
((< hsm 1)
(setq inm (strcat "m=" (rtos hsm 2 4) ""))
(princ "\nHe so mai doc la: ")(princ inm)
)
)
)
)
(command "-osnap" "end,mid,nod,int,per,app,nea")
(command "ucs" "w" "")
(command "-layer" "s" "0" "")
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×